Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 119619 - "Create class" hint should also offer to create a nested class
"Create class" hint should also offer to create a nested class
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Hints
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jan Lahoda
issues@java
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-22 10:23 UTC by Andrei Badea
Modified: 2010-04-28 05:11 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Badea 2007-10-22 10:23:14 UTC
In a class named example.Foo I had code like:

Bar result = new Bar(param);
result.start();
return result;

where Bar was not defined yet. I press Alt+Enter of the first line wanting to create Bar as a nested class, but the hint
only offers to create a top-level class.
Comment 1 Geertjan Wielenga 2008-02-19 22:54:31 UTC
I have a module that provides this, I will submit a patch for this issue. Here is the module, but not the sources yet:

http://plugins.netbeans.org/PluginPortal/faces/PluginDetailPage.jsp?pluginid=6152
Comment 2 Jan Lahoda 2010-04-27 13:52:57 UTC
This should work:
http://hg.netbeans.org/jet-main/rev/d4c8e9610c18
Comment 3 Quality Engineering 2010-04-28 05:11:26 UTC
Integrated into 'main-golden', will be available in build *201004280200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/
User: 
Log:


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo